package com.tanpu.community.api.beans.qo.feign.jifen;

import com.tanpu.community.api.beans.req.page.Pageable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @Description 线下活动列表请求
 * @Author wangyalei
 * @Date 2021/9/5 下午9:23
 **/
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class OfflineActivityListReq {
    @ApiModelProperty(value = "机构id")
    private String corpId;

    @ApiModelProperty(value = "活动类型 1线下活动 2招募活动")
    private Integer activityType;

    @ApiModelProperty(value = "分页对象", required = true)
    @NotNull(message = "分页对象不能为空")
    private Pageable page;

}
