package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
    * 热门推荐
    */
@ApiModel(value="com-tanpu-community-dao-entity-community-HotRecommend")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "hot_recommend")
public class HotRecommend {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键id")
    private Integer id;

    /**
     * 热门推荐id
     */
    @TableField(value = "hot_recommend_id")
    @ApiModelProperty(value="热门推荐id")
    private String hotRecommendId;

    /**
     * 类型名称
     */
    @TableField(value = "`name`")
    @ApiModelProperty(value="类型名称")
    private String name;

    /**
     * 1:首席理顾 2:认证机构3:指定用户
     */
    @TableField(value = "`type`")
    @ApiModelProperty(value="1:首席理顾 2:认证机构3:指定用户")
    private Integer type;

    /**
     * 0:不展示 1:展示
     */
    @TableField(value = "is_show")
    @ApiModelProperty(value="0:不展示 1:展示")
    private Integer isShow;

    /**
     * 排序  按数字正序
     */
    @TableField(value = "sort")
    @ApiModelProperty(value="排序  按数字正序")
    private Integer sort;

    /**
     * 是否删除 0:否 1：是
     */
    @TableField(value = "delete_tag")
    @ApiModelProperty(value="是否删除 0:否 1：是")
    private Integer deleteTag;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "create_by")
    @ApiModelProperty(value="创建人")
    private String createBy;

    public static final String COL_ID = "id";

    public static final String COL_HOT_RECOMMEND_ID = "hot_recommend_id";

    public static final String COL_NAME = "name";

    public static final String COL_TYPE = "type";

    public static final String COL_IS_SHOW = "is_show";

    public static final String COL_SORT = "sort";

    public static final String COL_DELETE_TAG = "delete_tag";

    public static final String COL_CREATE_TIME = "create_time";

    public static final String COL_CREATE_BY = "create_by";
}