package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value="com-tanpu-community-dao-entity-community-HotRecommendUser")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "hot_recommend_user")
public class HotRecommendUser {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="主键id")
    private Integer id;

    /**
     * 关联id
     */
    @TableField(value = "rel_id")
    @ApiModelProperty(value="关联id")
    private String relId;

    /**
     * 0:推荐的用户 1：排除的用户
     */
    @TableField(value = "is_exclude")
    @ApiModelProperty(value="0:推荐的用户 1：排除的用户")
    private Integer isExclude;

    /**
     * 推荐id
     */
    @TableField(value = "hot_recommend_id")
    @ApiModelProperty(value="推荐id")
    private String hotRecommendId;

    /**
     * 是否删除
     */
    @TableField(value = "delete_tag")
    @ApiModelProperty(value="是否删除")
    private Integer deleteTag;

    public static final String COL_ID = "id";

    public static final String COL_REL_ID = "rel_id";

    public static final String COL_IS_EXCLUDE = "is_exclude";

    public static final String COL_HOT_RECOMMEND_ID = "hot_recommend_id";

    public static final String COL_DELETE_TAG = "delete_tag";
}