package com.tanpu.community.feign.diagnose;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.resp.Customer;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;


@FeignClient(value = "service-diagnose",  url = "${tanpu.diagnose.svc:}", path = "/diagnose")
//@FeignClient(value = "service-diagnose", contextId = "diagnose", fallbackFactory = FeignBackClientForDiagnose.class, path = "http://172.20.1.249:8201/diagnose")
public interface FeignClientForDiagnose {

    @ApiOperation("查询理财师关联客户信息")
    @GetMapping("/ifa/customer/getIfaCustomerList")
    CommonResp<List<Customer>> getIfaCustomerList(@ApiParam("理财师ID") @RequestParam("ifaId") String ifaId);

}
