package com.tanpu.community.feign.product;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.fund.FundCompanySimpleVO;
import com.tanpu.community.api.beans.vo.feign.product.ProductInfoVO;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(value = "service-fundpublic", contextId = "fundpublic", url = "${tanpu.fundpublic.svc:}", path = "/fundpublic")
//@FeignClient(value = "service-fundpublic",path = "/fundpublic")
public interface FeignForPublicFund {

    @ApiOperation("获取产品详情")
    @GetMapping("/product/list")
    CommonResp<List<ProductInfoVO>> getProductList(@ApiParam("产品id") @RequestParam("ids") List<String> ids);

    @ApiOperation("基金公司-简单信息")
    @GetMapping("/publicFund/companyInfoSimple")
    CommonResp<FundCompanySimpleVO> getFundCompanyInfoSimple(@ApiParam("基金公司id") @RequestParam("id") String id);

    @ApiOperation("私募类型基金公司-持有产品数")
    @GetMapping("/publicFund/companyFundCount")
    CommonResp<FundCompanySimpleVO> getCompanyFundCount(@ApiParam("基金公司id") @RequestParam("id") String id);
}
